# dmxxinput.c File Reference

`#include <X11/X.h>`
`#include <X11/Xproto.h>`
`#include "inputstr.h"`
`#include <X11/extensions/XI.h>`
`#include <X11/extensions/XIproto.h>`
`#include "XIstubs.h"`
`#include "mipointer.h"`
`#include "dmxinputinit.h"`
`#include "exevents.h"`

## Functions

void | CloseInputDevice (DeviceIntPtr d, ClientPtr client)
void | AddOtherInputDevices (void)
void | OpenInputDevice (DeviceIntPtr dev, ClientPtr client, int *status)
int | SetDeviceMode (ClientPtr client, DeviceIntPtr dev, int mode)
int | SetDeviceValuators (ClientPtr client, DeviceIntPtr dev, int *valuators, int first_valuator, int num_valuators)
int | ChangeDeviceControl (ClientPtr client, DeviceIntPtr dev, xDeviceCtl *control)

## Detailed Description

This file implements support required by the XINPUT extension.

## Function Documentation

void AddOtherInputDevices | ( | void |  | ) |

This is not required by the XINPUT model that DMX uses.

int ChangeDeviceControl | ( | ClientPtr | client,
|  | DeviceIntPtr | dev,
|  | xDeviceCtl * | control |
| ) |  |  |

Change device control. This is not implemented.

void CloseInputDevice | ( | DeviceIntPtr | d,
|  | ClientPtr | client |
| ) |  |  |

Close the input device. This is not required by the XINPUT model that DMX uses.

void OpenInputDevice | ( | DeviceIntPtr | dev,
|  | ClientPtr | client,
|  | int * | status |
| ) |  |  |

Open an input device. This is not required by the XINPUT model that DMX uses.

int SetDeviceMode | ( | ClientPtr | client,
|  | DeviceIntPtr | dev,
|  | int | mode |
| ) |  |  |

Set device mode to mode. This is not implemented.

int SetDeviceValuators | ( | ClientPtr | client,
|  | DeviceIntPtr | dev,
|  | int * | valuators,
|  | int | first_valuator,
|  | int | num_valuators |
| ) |  |  |

Set device valuators. This is not implemented.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>